CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-3309

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Optimizer). Supported versions that are affected are 5.5.54 and earlier, 5.6.35 and earlier and 5.7.17 and earlier. Easily "exploitable" vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. While the vulnerability is in MySQL Server, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.0 Base Score 7.7 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H).
Publish Date : 2017-04-24 Last Update Date : 2019-10-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2017:2192: mariadb security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20172192 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2017-3309

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
2 Application Oracle Mysql 5.5.0 Version Details Vulnerabilities
3 Application Oracle Mysql 5.5.1 Version Details Vulnerabilities
4 Application Oracle Mysql 5.5.2 Version Details Vulnerabilities
5 Application Oracle Mysql 5.5.3 Version Details Vulnerabilities
6 Application Oracle Mysql 5.5.4 Version Details Vulnerabilities
7 Application Oracle Mysql 5.5.5 Version Details Vulnerabilities
8 Application Oracle Mysql 5.5.6 Version Details Vulnerabilities
9 Application Oracle Mysql 5.5.7 Version Details Vulnerabilities
10 Application Oracle Mysql 5.5.8 Version Details Vulnerabilities
11 Application Oracle Mysql 5.5.9 Version Details Vulnerabilities
12 Application Oracle Mysql 5.5.10 Version Details Vulnerabilities
13 Application Oracle Mysql 5.5.11 Version Details Vulnerabilities
14 Application Oracle Mysql 5.5.12 Version Details Vulnerabilities
15 Application Oracle Mysql 5.5.13 Version Details Vulnerabilities
16 Application Oracle Mysql 5.5.14 Version Details Vulnerabilities
17 Application Oracle Mysql 5.5.15 Version Details Vulnerabilities
18 Application Oracle Mysql 5.5.16 Version Details Vulnerabilities
19 Application Oracle Mysql 5.5.17 Version Details Vulnerabilities
20 Application Oracle Mysql 5.5.18 Version Details Vulnerabilities
21 Application Oracle Mysql 5.5.19 Version Details Vulnerabilities
22 Application Oracle Mysql 5.5.20 Version Details Vulnerabilities
23 Application Oracle Mysql 5.5.21 Version Details Vulnerabilities
24 Application Oracle Mysql 5.5.22 Version Details Vulnerabilities
25 Application Oracle Mysql 5.5.23 Version Details Vulnerabilities
26 Application Oracle Mysql 5.5.24 Version Details Vulnerabilities
27 Application Oracle Mysql 5.5.25 Version Details Vulnerabilities
28 Application Oracle Mysql 5.5.25 A Version Details Vulnerabilities
29 Application Oracle Mysql 5.5.26 Version Details Vulnerabilities
30 Application Oracle Mysql 5.5.27 Version Details Vulnerabilities
31 Application Oracle Mysql 5.5.28 Version Details Vulnerabilities
32 Application Oracle Mysql 5.5.29 Version Details Vulnerabilities
33 Application Oracle Mysql 5.5.30 Version Details Vulnerabilities
34 Application Oracle Mysql 5.5.31 Version Details Vulnerabilities
35 Application Oracle Mysql 5.5.32 Version Details Vulnerabilities
36 Application Oracle Mysql 5.5.33 Version Details Vulnerabilities
37 Application Oracle Mysql 5.5.34 Version Details Vulnerabilities
38 Application Oracle Mysql 5.5.35 Version Details Vulnerabilities
39 Application Oracle Mysql 5.5.36 Version Details Vulnerabilities
40 Application Oracle Mysql 5.5.37 Version Details Vulnerabilities
41 Application Oracle Mysql 5.5.38 Version Details Vulnerabilities
42 Application Oracle Mysql 5.5.39 Version Details Vulnerabilities
43 Application Oracle Mysql 5.5.40 Version Details Vulnerabilities
44 Application Oracle Mysql 5.5.41 Version Details Vulnerabilities
45 Application Oracle Mysql 5.5.42 Version Details Vulnerabilities
46 Application Oracle Mysql 5.5.43 Version Details Vulnerabilities
47 Application Oracle Mysql 5.5.44 Version Details Vulnerabilities
48 Application Oracle Mysql 5.5.45 Version Details Vulnerabilities
49 Application Oracle Mysql 5.5.46 Version Details Vulnerabilities
50 Application Oracle Mysql 5.5.47 Version Details Vulnerabilities
51 Application Oracle Mysql 5.5.48 Version Details Vulnerabilities
52 Application Oracle Mysql 5.5.49 Version Details Vulnerabilities
53 Application Oracle Mysql 5.5.50 Version Details Vulnerabilities
54 Application Oracle Mysql 5.5.51 Version Details Vulnerabilities
55 Application Oracle Mysql 5.5.52 Version Details Vulnerabilities
56 Application Oracle Mysql 5.5.53 Version Details Vulnerabilities
57 Application Oracle Mysql 5.5.54 Version Details Vulnerabilities
58 Application Oracle Mysql 5.6.0 Version Details Vulnerabilities
59 Application Oracle Mysql 5.6.0 ~~enterprise~~~ Version Details Vulnerabilities
60 Application Oracle Mysql 5.6.1 Version Details Vulnerabilities
61 Application Oracle Mysql 5.6.2 Version Details Vulnerabilities
62 Application Oracle Mysql 5.6.3 Version Details Vulnerabilities
63 Application Oracle Mysql 5.6.4 Version Details Vulnerabilities
64 Application Oracle Mysql 5.6.5 Version Details Vulnerabilities
65 Application Oracle Mysql 5.6.6 Version Details Vulnerabilities
66 Application Oracle Mysql 5.6.7 Version Details Vulnerabilities
67 Application Oracle Mysql 5.6.8 Version Details Vulnerabilities
68 Application Oracle Mysql 5.6.9 Version Details Vulnerabilities
69 Application Oracle Mysql 5.6.10 Version Details Vulnerabilities
70 Application Oracle Mysql 5.6.11 Version Details Vulnerabilities
71 Application Oracle Mysql 5.6.12 Version Details Vulnerabilities
72 Application Oracle Mysql 5.6.13 Version Details Vulnerabilities
73 Application Oracle Mysql 5.6.14 Version Details Vulnerabilities
74 Application Oracle Mysql 5.6.15 Version Details Vulnerabilities
75 Application Oracle Mysql 5.6.16 Version Details Vulnerabilities
76 Application Oracle Mysql 5.6.17 Version Details Vulnerabilities
77 Application Oracle Mysql 5.6.18 Version Details Vulnerabilities
78 Application Oracle Mysql 5.6.19 Version Details Vulnerabilities
79 Application Oracle Mysql 5.6.20 Version Details Vulnerabilities
80 Application Oracle Mysql 5.6.21 Version Details Vulnerabilities
81 Application Oracle Mysql 5.6.22 Version Details Vulnerabilities
82 Application Oracle Mysql 5.6.23 Version Details Vulnerabilities
83 Application Oracle Mysql 5.6.24 Version Details Vulnerabilities
84 Application Oracle Mysql 5.6.25 Version Details Vulnerabilities
85 Application Oracle Mysql 5.6.26 Version Details Vulnerabilities
86 Application Oracle Mysql 5.6.27 Version Details Vulnerabilities
87 Application Oracle Mysql 5.6.28 Version Details Vulnerabilities
88 Application Oracle Mysql 5.6.29 Version Details Vulnerabilities
89 Application Oracle Mysql 5.6.30 Version Details Vulnerabilities
90 Application Oracle Mysql 5.6.31 Version Details Vulnerabilities
91 Application Oracle Mysql 5.6.32 Version Details Vulnerabilities
92 Application Oracle Mysql 5.6.33 Version Details Vulnerabilities
93 Application Oracle Mysql 5.6.34 Version Details Vulnerabilities
94 Application Oracle Mysql 5.6.35 Version Details Vulnerabilities
95 Application Oracle Mysql 5.7.0 Version Details Vulnerabilities
96 Application Oracle Mysql 5.7.0 ~~community~~~ Version Details Vulnerabilities
97 Application Oracle Mysql 5.7.0 ~~enterprise~~~ Version Details Vulnerabilities
98 Application Oracle Mysql 5.7.1 Version Details Vulnerabilities
99 Application Oracle Mysql 5.7.2 Version Details Vulnerabilities
100 Application Oracle Mysql 5.7.3 Version Details Vulnerabilities
101 Application Oracle Mysql 5.7.4 Version Details Vulnerabilities
102 Application Oracle Mysql 5.7.5 Version Details Vulnerabilities
103 Application Oracle Mysql 5.7.6 Version Details Vulnerabilities
104 Application Oracle Mysql 5.7.7 Version Details Vulnerabilities
105 Application Oracle Mysql 5.7.8 Version Details Vulnerabilities
106 Application Oracle Mysql 5.7.9 Version Details Vulnerabilities
107 Application Oracle Mysql 5.7.10 Version Details Vulnerabilities
108 Application Oracle Mysql 5.7.11 Version Details Vulnerabilities
109 Application Oracle Mysql 5.7.12 Version Details Vulnerabilities
110 Application Oracle Mysql 5.7.13 Version Details Vulnerabilities
111 Application Oracle Mysql 5.7.14 Version Details Vulnerabilities
112 Application Oracle Mysql 5.7.15 Version Details Vulnerabilities
113 Application Oracle Mysql 5.7.16 Version Details Vulnerabilities
114 Application Oracle Mysql 5.7.17 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Oracle Mysql 113

- References For CVE-2017-3309

http://www.debian.org/security/2017/dsa-3834
DEBIAN DSA-3834
https://access.redhat.com/errata/RHSA-2018:0574
REDHAT RHSA-2018:0574
https://access.redhat.com/errata/RHSA-2017:2886
REDHAT RHSA-2017:2886
https://access.redhat.com/errata/RHSA-2017:2787
REDHAT RHSA-2017:2787
https://access.redhat.com/errata/RHSA-2018:0279
REDHAT RHSA-2018:0279
https://access.redhat.com/errata/RHSA-2017:2192
REDHAT RHSA-2017:2192
http://www.securitytracker.com/id/1038287
SECTRACK 1038287
http://www.securityfocus.com/bid/97742
BID 97742 Oracle MySQL Server CVE-2017-3309 Remote Security Vulnerability Release Date:2017-09-15
http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html CONFIRM
http://www.debian.org/security/2017/dsa-3944
DEBIAN DSA-3944

- Metasploit Modules Related To CVE-2017-3309

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.